Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 363655 - net-im/skype: Unknown crashing (propably caused by the upstream binary, report to upstream instead)
Summary: net-im/skype: Unknown crashing (propably caused by the upstream binary, repor...
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
: 421161 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-04-14 23:53 UTC by Vytenis Sodaitis
Modified: 2012-11-16 12:14 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (info.txt,16.96 KB, text/plain)
2011-04-15 10:48 UTC, Vytenis Sodaitis
Details
Output of emerge --info skype (emerge --info skype,5.45 KB, text/plain)
2011-04-17 13:54 UTC, Remy Blank
Details
output of emerge --info net-im/skype (info_skype,16.45 KB, application/octet-stream)
2011-05-19 01:25 UTC, Micah Shennum
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vytenis Sodaitis 2011-04-14 23:53:50 UTC
The new skype randomly crashes. I get this in console:

nforce@nforce-laptop ~ $ skype
Corrupt JPEG data: 2829 extraneous bytes before marker 0xd9
skype: pcm.c:2782: snd_pcm_areas_copy: Assertion `src_areas' failed.
Aborted

If I start skype after a reboot, it would almost definetely crash. If not reboot - there is about 30% probability to have the crash. Sometimes it crashes even when using it long time after starting

Reproducible: Sometimes
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2011-04-15 02:36:57 UTC
Please post the output of `emerge --info net-im/skype'.
Comment 2 Vytenis Sodaitis 2011-04-15 10:48:19 UTC
Created attachment 270049 [details]
emerge --info
Comment 3 Vytenis Sodaitis 2011-04-15 10:48:48 UTC
I've added it as an attachment
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2011-04-15 15:11:46 UTC
Could you try with USE="qt-static"?
Comment 5 Vytenis Sodaitis 2011-04-15 16:40:56 UTC
Ok, I'm going to test it now
Comment 6 Vytenis Sodaitis 2011-04-16 22:24:01 UTC
Ok, I've been using this with static qt for some time already, and it seems it's not crashing anymore. But it has a black rectangle around tray icon, and it's not going to let me use my qt-curve theme :/
Comment 7 Vytenis Sodaitis 2011-04-17 09:57:37 UTC
Sorry, I was wrong. It still crashes. Now with this:
nforce@nforce-laptop ~ $ skype
Corrupt JPEG data: 2829 extraneous bytes before marker 0xd9
skype: timer.c:942: snd_timer_read: Assertion `((timer->mode & 0003) == 00) || ((timer->mode & 0003) == 02)' failed.
Aborted

The message about JPEG is thrown right on start and it's irrelevant to crash
Comment 8 Remy Blank 2011-04-17 13:53:37 UTC
Same here, using qt-static. emerge --info coming up shortly.
Comment 9 Remy Blank 2011-04-17 13:54:30 UTC
Created attachment 270273 [details]
Output of emerge --info skype
Comment 10 Sven 2011-04-19 12:40:56 UTC
Problem occurs for me too (amd64).
However, no console output upon crash.
Comment 11 Marco Leogrande 2011-04-20 08:23:05 UTC
Similar crash here, ~amd64, without qt-static and no console output.

In my *limited* testing, I have noticed a funny thing as well (maybe related). If I connect to Skype from my home, wireless network, it crashes as described above. On the other hand, if I connect from work (wired connection) I see no crash. Don't take this as the absolute truth, as I have tested Skype for less than a day, before reverting to a version that always works.

$ emerge --info
Portage 2.1.9.46 (default/linux/amd64/10.0/desktop, gcc-4.4.5, glibc-2.11.3-r0, 2.6.37-gentoo-r4 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.37-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P9500_@_2.53GHz-with-gentoo-1.12.14
Timestamp of tree: Tue, 19 Apr 2011 10:45:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
sys-kernel/linux-headers: 2.6.36.1
virtual/os-headers:  0
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 skype-eula PUEL AdobeFlash-10.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs candy distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/"
LANG="it_IT.UTF-8"
LC_ALL="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="it en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/dark"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa amd64 bash-completion bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dell device-mapper dri dts dvd dvdr emacs encode exif flac fortran fortune gdbm gdu gif git gpm gtk iconv ipv6 java jpeg laptop lcms libnotify lm_sensors mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nfs nls nptl nptlonly ntp ogg opengl openmp pam pango pcre pdf perl png policykit ppds python qt3support qt4 readline samba sdl session smp spell sse sse2 sse3 ssl ssse3 startup-notification subversion svg sysfs tcpd threads thunar tiff truetype udev unicode usb vdpau vorbis x264 xcb xinerama xml xorg xv xvid zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 13 Waldemar Szostak 2011-04-26 19:19:35 UTC
~amd64; with or without qt-static


I can see it show up and when it is 'auto-re-connecting', it crashes most of the times I try to launch it without any input. Any there is no output either = except for:
- process `skype' is using obsolete setsockopt SO_BSDCOMPAT (but this line appeared also in the previous version I think),
- Przerwanie (in English: Interruption/Interrupted).

After like 7-8 tries, it stayed on. Before I closed it, I changed the status to disconnected. Afterwards, I could launch it without any problems, but it crashed when I changed the status to 'connected'.



emerge --info skype
Portage 2.1.9.46 (default/linux/amd64/10.0, gcc-4.5.2, libc-0-r0, 2.6.38-gentoo-r2 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.38-gentoo-r2-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.0.2
Timestamp of tree: Mon, 25 Apr 2011 20:00:01 +0000
app-shells/bash:     4.2_p8
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
sys-kernel/linux-headers: 2.6.38
virtual/os-headers:  0
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.1 skype-eula dlj-1.1 PUEL"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -funroll-loops -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=amdfam10 -funroll-loops -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 bash-completion bluetooth bzip2 cairo cdda cddax cdio cdr chm cli consolekit cracklib crypt cups curl custom-cflags custom-cpuopts custom-optimization cxx dbus dirac directfb djavu dts dvd dvdr ebook enca encode exif fbcon fbcondecor ffmpeg firefox firefox3 flac fontconfig fortran gadu gdbm gnutls gpm hddtemp iconv id3tag ieee1394 jabber jack java java6 javascript jingle jpeg kate kde laptop latex lcdfilter libass libnotify libtiger lm_sensors lzma matroska minimal mmx mmxext mng modules mp3 mp4 mpeg mtp mudflap multilib musepack mysql ncurses nls nptl nptlonly nsplugin ntp nvidia ogg opengl openmp pam pcre pdf perl plasma png policykit pppd pvr python qt-static qt3 qt3support qt4 rar rdp readline rtsp schroedinger semantic-desktop session skype smp spell sse sse2 ssl ssse3 startup-notification svg sysfs syslog tcpd theora threads thumbnail tiff truetype twolame udev unicode upnp usb vaapi vcd vcdinfo vcdx vim-syntax vnc vorbis win64 wmf xcb xcomposite xine xinerama xorg xosd xulrunner xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

net-im/skype-2.2.0.25 was built with the following:
USE="(multilib) -qt-static"
Comment 14 Simon Gao 2011-05-06 17:34:39 UTC
Same problem here with or without qt-static on 32-bit gentoo.

skype-2.2.0.25 worked fine for a few days until installing newer portage updates.

Now it simply crashes upon logging in. From text terminal, only message is "aborted".


System uname: Linux-2.6.36-gentoo-r8-i686-Intel-R-_Core-TM-2_CPU_T5600_@_1.83GHz-with-gentoo-1.12.14
Timestamp of tree: Thu, 05 May 2011 16:30:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.11.3
virtual/os-headers:  0
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US zh zh_CN"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl alsa berkdb bzip2 cjk cli cracklib crypt cups cxx dbus dri dvd fortran gdbm gpg gpm gtk iconv ipv6 kde mbox mmx modules mudflap ncurses nls nptl nptlonly opengl openmp pam pcre pda perl policykit pppd python qt qt3support readline sdl session ssl sysfs tcpd unicode v4l2 win32codecs x86 xcb xorg xorg-x11 xprint zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US zh zh_CN" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nv vesa nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTDIR_OVERLAY
Comment 15 Thomas Capricelli 2011-05-17 13:17:41 UTC
It's been crashing here too for few weeks (~amd64). I was using -qt-static, so my first guess was to re-emerge with +qt-static but this does not solve the crash. On console it just says
Abort (core dumped)
Comment 16 Micah Shennum 2011-05-19 01:25:17 UTC
Created attachment 273895 [details]
output of emerge --info net-im/skype
Comment 17 Micah Shennum 2011-05-19 01:27:48 UTC
It also crashes with nothing more than "Aborted" on my computer. Strangely, if I use "gdb /opt/skype/skype" to run, it seams to work fine (haven't tried calls or anything, but it doesn't crash).
Comment 18 Fabian Di Milia 2011-05-23 18:06:58 UTC
(In reply to comment #17)
> It also crashes with nothing more than "Aborted" on my computer. Strangely, if
> I use "gdb /opt/skype/skype" to run, it seams to work fine (haven't tried calls
> or anything, but it doesn't crash).




Same here with  2.2.0.25 :)

I start Skype in terminal and i see "Aborted" after login.
Comment 19 diamond 2011-05-26 14:31:57 UTC
Everyone who has problems with skype after today (skype doesn't start with abort message in a console) just do the following:
mv ~/.Skype/shared.xml ~/.Skype/shared.xml.old
And then start skype.
I had this problem with 2.2.0.25 version. This solution solved my problem.
Comment 20 Nikoli 2011-05-26 16:13:01 UTC
Thanks, rm ~/.Skype/shared.xml helped.
Comment 21 Vytenis Sodaitis 2011-05-26 17:24:18 UTC
(In reply to comment #19)
> Everyone who has problems with skype after today (skype doesn't start with
> abort message in a console) just do the following:
> mv ~/.Skype/shared.xml ~/.Skype/shared.xml.old
> And then start skype.
> I had this problem with 2.2.0.25 version. This solution solved my problem.

thanks, that helped on windows too
Comment 22 Thomas Capricelli 2011-05-26 22:46:28 UTC
It doesn't help here (~amd64, qt-static). After deleting ~/.Skype/shared.xml and starting skype, it asks for password and the position is not the same as usual, which is expected. Once authentified, it crashes with

*** glibc detected *** ./skype: corrupted double-linked list: 0x0ba007b0 ***
skype (core dumped)

With previous crash, the glibc line was not present.
Comment 23 Micah Shennum 2011-05-27 05:40:12 UTC
Seems to have fixed it here
Comment 24 Alexander Bezrukov 2011-05-27 11:08:49 UTC
This is the official skype reaction (I suggest adding this to the URL field):
http://heartbeat.skype.com/2011/05/problems_signing_into_skype_an.html

Yesterday all my colleagues running skype under Windows have met this problem so I was ready when this problem has hit me. Interestingly, when I removed the file, couple more times (I used type on the keyboard quite fast) skype aborted and then the problem disappeared, even when I restored the old shared.xml so I think the real problem is some specially formed skype login server response which has been triggered recently and which can restore to its normal (with some latency) with login from "newly installed" (that is, without the shared.xml file) client. Of course, the real explanation might be much more complicated.

Skype (that is now Microsoft) promise to release a fixed version in "few hours". Let us see how it is related to the linux version.
Comment 25 Micah Shennum 2011-05-28 04:05:40 UTC
(In reply to comment #23)
> Seems to have fixed it here

Seems to have unfixed itself.
Comment 26 Alexander Bezrukov 2011-06-04 15:34:33 UTC
Now version 2.2.0.35 is available which presumably fixes this problem.
Comment 27 Markos Chandras (RETIRED) gentoo-dev 2011-06-04 17:39:53 UTC
The new version is on tree but it does not fix the problem for me
Comment 28 Waldemar Szostak 2011-06-05 09:21:12 UTC
I think I changed /usr/bin/skype:


# cat /usr/bin/skype
#!/bin/sh
cd "/opt/skype"
if [ -n "/opt/skype" ] ; then
        if [ "${LD_LIBRARY_PATH+set}" = "set" ] ; then
                export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/opt/skype"
        else
                export LD_LIBRARY_PATH="/opt/skype"
        fi
fi
exec ./skype "$@"


and now I don't experience crashes at startup or randomly. I don't think I removed any files. I've got qt-static on.
Comment 29 Waldemar Szostak 2011-06-05 09:58:49 UTC
My apologies, false alarm, so to say.. I have a different version (2.1.0.81).. :|
Comment 30 Thomas Capricelli 2011-06-22 11:55:37 UTC
i confirm those crashes are still there with net-im/skype-2.2.0.35-r1
Btw, it's not so 'randomly' : it crashes few seconds after skype connected to server. always.
Comment 31 Francois Chenier 2011-06-26 12:43:59 UTC
(In reply to comment #30)
> i confirm those crashes are still there with net-im/skype-2.2.0.35-r1
> Btw, it's not so 'randomly' : it crashes few seconds after skype connected to
> server. always.

Same problem here but seems more reliable if I disable the public api (--disable-api)
Comment 32 Maksym 2011-08-12 07:36:46 UTC
Same problem (crashes randomly after login) with 2.2.0.35 with or without qt-static on ~amd64

emerge --info skype

Portage 2.1.10.10 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.13-r4, 3.0.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.0.0-gentoo-x86_64-Pentium-R-_Dual-Core_CPU_T4200_@_2.00GHz-with-gentoo-2.0.3
Timestamp of tree: Fri, 12 Aug 2011 06:30:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r2, 3.2-r2
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1
sys-devel/gcc:            4.5.3
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo sunrise x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/redmine/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /var/lib/redmine/config/locales /var/lib/redmine/config/settings.yml"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://de-mirror.org/distro/gentoo/"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 apm aspell berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups curl cvs cxx dbus declarative djvu dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran ftp gdbm gdu gif git gpm graphite gtk iconv icq ipv6 jabber jpeg kde kipi lame lcms libnotify lm_sensors lzo mad matroska mime mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pango pcre pdf perl phonon plasma pm-utilspng png policykit ppds pppd python qt3support qt4 raw readline savedconfig sdl semantic-desktop session spell sse sse2 ssl startup-notification subversion svg sysfs taglib tcpd theora tiff truetype udev unicode usb v4l v4l2 vdpau vorbis wifi x264 xcb xcomposite xine xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

net-im/skype-2.2.0.35-r1 was built with the following:
USE="(consolekit) (multilib) (policykit) -qt-static"
Comment 33 Thomas Capricelli 2011-08-12 16:06:26 UTC
it keeps on crashing here. It's even worse now: removing ~/.Skype does not help anymore :-(
Comment 34 sean dreilinger 2011-08-29 23:18:37 UTC
net-im/skype-2.2.0.35-r1 -qt-static 
finally worked for me after manually creating the directory ~/.Skype/Logs
perhaps the net-im/skype ebuild should create this directory?
Comment 35 Maksym 2011-08-30 15:38:08 UTC
(In reply to comment #34)
> net-im/skype-2.2.0.35-r1 -qt-static 
> finally worked for me after manually creating the directory ~/.Skype/Logs
> perhaps the net-im/skype ebuild should create this directory?

Seems it works for me too.
Comment 36 Thomas Capricelli 2011-08-30 18:54:09 UTC
Works for me too. Amazing solution :-)
Comment 37 Jeremy Murphy 2011-10-27 07:20:25 UTC
Yup, creatings Logs fixed my problem with 2.2.0.35-r1 without trying anything else.
Any reason not to put this into an ebuild?
Comment 38 Oleg 2011-10-30 15:48:16 UTC
Is this bug linked with it:
Gentoo amd64
=net-im/skype-2.2.0.35-r1 qt-static
=app-emulation/emul-linux-x86-soundlibs-20110928 alsa

"Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xf0fdbb70 (LWP 10213)]
0xf7f74e90 in ?? () from /usr/lib32/libasound.so.2

(gdb) bt full
#0  0xf7f74e90 in ?? () from /usr/lib32/libasound.so.2
No symbol table info available.
#1  0xf7f6bc9c in ?? () from /usr/lib32/libasound.so.2
No symbol table info available.
#2  0xf7f32b9b in snd_pcm_prepare () from /usr/lib32/libasound.so.2
No symbol table info available.
#3  0xf7f47904 in ?? () from /usr/lib32/libasound.so.2
No symbol table info available.
#4  0xf7f32b9b in snd_pcm_prepare () from /usr/lib32/libasound.so.2
No symbol table info available.
#5  0x08d7d2c7 in ?? ()
No symbol table info available.
#6  0x08d7f2ec in ?? ()
No symbol table info available.
#7  0x08d7f6a1 in ?? ()
No symbol table info available.
#8  0x08a42fd1 in ?? ()
No symbol table info available.
#9  0x08a42c74 in ?? ()
No symbol table info available.
#10 0xf7b81e73 in start_thread () from /lib32/libpthread.so.0
No symbol table info available.
#11 0xf79c0e5e in clone () from /lib32/libc.so.6"
Comment 39 Thomas Capricelli 2012-03-27 17:02:26 UTC
mm.. actually no, it still crashes randomly ("Core dumps"). i still have my ~/.Skype/Logs, it's even quite big (8Gb before i remove all those big files).

Today i had a conversation for ~45 minutes and it crashed ~12 times. Really randomly, i can't find any pattern. Even the duration between two crashes seems random.
Comment 40 Jean-Marc Beaune 2012-03-27 17:05:06 UTC
I deleted the Logs folder on 3 computers and I don't have crashes anymore...
Comment 41 Samuli Suominen (RETIRED) gentoo-dev 2012-05-21 12:20:52 UTC
$summary says 2.2.0.25... latest in tree is 2.2.0.35-r99.

Binary-only package -> Upstream problem -> If you have a solution, reopen the bug.
Comment 42 Sven 2012-05-21 12:45:09 UTC
Problem still exists for me (using 2.2.0.35). However, it crashes much less often now. Still, issues doesn't seem to be fixed upstream.

Also, creating the Logs directory  as proposed here is a bad idea. The Logs directly will grow with every skype call you make. It contains debug information of each call. Maybe even the calls themselves. That creating the Logs directory is a valid workaround might simply indicate that a race is involved in the Skype crash. And creating the Logs folder changes the odds of the race condition leading to a crash.
Comment 43 Samuli Suominen (RETIRED) gentoo-dev 2012-06-16 20:54:15 UTC
*** Bug 421161 has been marked as a duplicate of this bug. ***